Index: DataLoader/data_info.py
===================================================================
--- DataLoader/data_info.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/data_info.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -33,5 +33,6 @@
     Data1D is a place holder for 1D plottables.
     """
-    # The presence of these should be mutually exclusive with the presence of Qdev (dx)
+    # The presence of these should be mutually
+    # exclusive with the presence of Qdev (dx)
     x = None
     y = None
@@ -49,17 +50,27 @@
     _yunit = ''
     
-    def __init__(self,x,y,dx=None,dy=None,dxl=None,dxw=None):
+    def __init__(self, x, y, dx=None, dy=None, dxl=None, dxw=None):
         self.x = numpy.asarray(x)
         self.y = numpy.asarray(y)
-        if dx is not None: self.dx = numpy.asarray(dx)
-        if dy is not None: self.dy = numpy.asarray(dy)
-        if dxl is not None: self.dxl = numpy.asarray(dxl)
-        if dxw is not None: self.dxw = numpy.asarray(dxw)
+        if dx is not None:
+             self.dx = numpy.asarray(dx)
+        if dy is not None: 
+            self.dy = numpy.asarray(dy)
+        if dxl is not None: 
+            self.dxl = numpy.asarray(dxl)
+        if dxw is not None: 
+            self.dxw = numpy.asarray(dxw)
 
     def xaxis(self, label, unit):
+        """
+        set the x axis label and unit
+        """
         self._xaxis = label
         self._xunit = unit
         
     def yaxis(self, label, unit):
+        """
+        set the y axis label and unit
+        """
         self._yaxis = label
         self._yunit = unit
@@ -90,5 +101,7 @@
     _zunit = ''
     
-    def __init__(self, data=None, err_data=None, qx_data=None, qy_data=None, q_data=None,mask=None, dqx_data=None, dqy_data=None):
+    def __init__(self, data=None, err_data=None, qx_data=None,
+                  qy_data=None, q_data=None, mask=None,
+                   dqx_data=None, dqy_data=None):
         self.data = numpy.asarray(data)
         self.qx_data = numpy.asarray(qx_data)
@@ -101,12 +114,21 @@
                
     def xaxis(self, label, unit):
+        """
+        set the x axis label and unit
+        """
         self._xaxis = label
         self._xunit = unit
         
     def yaxis(self, label, unit):
+        """
+        set the y axis label and unit
+        """
         self._yaxis = label
         self._yunit = unit
             
     def zaxis(self, label, unit):
+        """
+        set the z axis label and unit
+        """
         self._zaxis = label
         self._zunit = unit
@@ -139,5 +161,6 @@
         
     def __str__(self):
-        return "x = %s\ty = %s\tz = %s" % (str(self.x), str(self.y), str(self.z))
+        msg = "x = %s\ty = %s\tz = %s" % (str(self.x), str(self.y), str(self.z))
+        return msg
         
 
@@ -151,11 +174,14 @@
     distance = None
     distance_unit = 'mm'
-    ## Offset of this detector position in X, Y, (and Z if necessary) [Vector] [mm] 
+    ## Offset of this detector position in X, Y, 
+    #(and Z if necessary) [Vector] [mm] 
     offset = None
     offset_unit = 'm'
-    ## Orientation (rotation) of this detector in roll, pitch, and yaw [Vector] [degrees]
+    ## Orientation (rotation) of this detector in roll,
+    # pitch, and yaw [Vector] [degrees]
     orientation = None
     orientation_unit = 'degree'
-    ## Center of the beam on the detector in X and Y (and Z if necessary) [Vector] [mm]
+    ## Center of the beam on the detector in X and Y 
+    #(and Z if necessary) [Vector] [mm]
     beam_center = None
     beam_center_unit = 'mm'
@@ -352,5 +378,5 @@
     name = ''
     date = ''
-    description= ''
+    description = ''
     term = None
     notes = None
@@ -460,5 +486,11 @@
     # but should be implemented for each data class inherited from DataInfo
     # that holds actual data (ex.: Data1D)
-    def _perform_operation(self, other, operation): return NotImplemented
+    def _perform_operation(self, other, operation): 
+        """
+        Private method to perform operation. Not implemented for DataInfo,
+        but should be implemented for each data class inherited from DataInfo
+        that holds actual data (ex.: Data1D)
+        """
+        return NotImplemented
 
     def __add__(self, other):
@@ -470,5 +502,6 @@
         :raise ValueError: raised when two data sets are incompatible
         """
-        def operation(a, b): return a+b
+        def operation(a, b):
+            return a + b
         return self._perform_operation(other, operation)
         
@@ -484,5 +517,6 @@
         
         """
-        def operation(a, b): return b+a
+        def operation(a, b):
+            return b + a
         return self._perform_operation(other, operation)
         
@@ -498,5 +532,6 @@
         
         """
-        def operation(a, b): return a-b
+        def operation(a, b):
+            return a - b
         return self._perform_operation(other, operation)
         
@@ -512,5 +547,6 @@
         
         """
-        def operation(a, b): return b-a
+        def operation(a, b):
+            return b - a
         return self._perform_operation(other, operation)
         
@@ -526,5 +562,6 @@
         
         """
-        def operation(a, b): return a*b
+        def operation(a, b):
+            return a * b
         return self._perform_operation(other, operation)
         
@@ -539,5 +576,6 @@
         :raise ValueError: raised when two data sets are incompatible
         """
-        def operation(a, b): return b*a
+        def operation(a, b):
+            return b * a
         return self._perform_operation(other, operation)
         
@@ -553,5 +591,6 @@
         
         """
-        def operation(a, b): return a/b
+        def operation(a, b):
+            return a/b
         return self._perform_operation(other, operation)
         
@@ -567,5 +606,6 @@
         
         """
-        def operation(a, b): return b/a
+        def operation(a, b):
+            return b/a
         return self._perform_operation(other, operation)            
             
@@ -604,6 +644,6 @@
         """
         def _check(v):            
-            if (v.__class__==list or v.__class__==numpy.ndarray) \
-                and len(v)>0 and min(v)>0:
+            if (v.__class__ == list or v.__class__ == numpy.ndarray) \
+                and len(v) > 0 and min(v) > 0:
                 return True
             
@@ -664,20 +704,22 @@
             if len(self.x) != len(other.x) or \
                 len(self.y) != len(other.y):
-                raise ValueError, "Unable to perform operation: data length are not equal"
+                msg =  "Unable to perform operation: data length are not equal"
+                raise ValueError, msg
             
             # Here we could also extrapolate between data points
             for i in range(len(self.x)):
                 if self.x[i] != other.x[i]:
-                    raise ValueError, "Incompatible data sets: x-values do not match"
+                    msg = "Incompatible data sets: x-values do not match"
+                    raise ValueError, msg
             
             # Check that the other data set has errors, otherwise
             # create zero vector
             dy_other = other.dy
-            if other.dy==None or (len(other.dy) != len(other.y)):
+            if other.dy == None or (len(other.dy) != len(other.y)):
                 dy_other = numpy.zeros(len(other.y))
             
         # Check that we have errors, otherwise create zero vector
         dy = self.dy
-        if self.dy==None or (len(self.dy) != len(self.y)):
+        if self.dy == None or (len(self.dy) != len(self.y)):
             dy = numpy.zeros(len(self.y))            
             
@@ -693,5 +735,5 @@
         for i in range(len(self.x)):
             result.x[i] = self.x[i]
-            if self.dx is not None and len(self.x)==len(self.dx):
+            if self.dx is not None and len(self.x) == len(self.dx):
                 result.dx[i] = self.dx[i]
             
@@ -724,10 +766,13 @@
     
     
-    def __init__(self, data=None, err_data=None, qx_data=None, qy_data=None, q_data=None, mask=None, dqx_data=None, dqy_data=None):
+    def __init__(self, data=None, err_data=None, qx_data=None,
+                  qy_data=None, q_data=None, mask=None, 
+                  dqx_data=None, dqy_data=None):
         self.y_bins = []
         self.x_bins = []
         DataInfo.__init__(self)
-        plottable_2D.__init__(self, data, err_data, qx_data, qy_data, q_data,mask, dqx_data, dqy_data)
-        if len(self.detector)>0:
+        plottable_2D.__init__(self, data, err_data, qx_data,
+                              qy_data, q_data,mask, dqx_data, dqy_data)
+        if len(self.detector) > 0:
             raise RuntimeError, "Data2D: Detector bank already filled at init"
 
@@ -739,7 +784,7 @@
         _str += "   X- & Y-axis:  %s\t[%s]\n" % (self._yaxis, self._yunit)
         _str += "   Z-axis:       %s\t[%s]\n" % (self._zaxis, self._zunit)
-        leny = 0
-        if len(self.data)>0:
-            leny = len(self.data)
+        #leny = 0
+        #if len(self.data) > 0:
+        #    leny = len(self.data)
         _str += "   Length:       %g \n" % (len(self.data))
         
@@ -766,5 +811,6 @@
             dqx_data = None
             dqy_data = None
-            clone = Data2D(data, err_data, qx_data, qy_data, q_data,mask, dqx_data=dqx_data, dqy_data=dqy_data)
+            clone = Data2D(data, err_data, qx_data, qy_data,
+                            q_data,mask, dqx_data=dqx_data, dqy_data=dqy_data)
 
         clone.title       = self.title
@@ -802,5 +848,6 @@
             # Check that data lengths are the same
             if numpy.size(self.data) != numpy.size(other.data):
-                raise ValueError, "Unable to perform operation: data length are not equal"
+                msg = "Unable to perform operation: data length are not equal"
+                raise ValueError, msg
                
             # Check that the scales match
@@ -811,11 +858,15 @@
             #TODO: test this
             err_other = other.err_data
-            if other.err_data==None or (numpy.size(other.err_data) != numpy.size(other.data)):
-                err_other = numpy.zeros([numpy.size(other.data,0), numpy.size(other.data,1)])
+            if other.err_data == None or \
+                (numpy.size(other.err_data) != numpy.size(other.data)):
+                err_other = numpy.zeros([numpy.size(other.data, 0),
+                                          numpy.size(other.data, 1)])
             
         # Check that we have errors, otherwise create zero vector
         err = self.err_data
-        if self.err_data==None or (numpy.size(self.err_data) != numpy.size(self.data)):
-            err = numpy.zeros([numpy.size(self.data,0), numpy.size(self.data,1)])
+        if self.err_data == None or \
+            (numpy.size(self.err_data) != numpy.size(self.data)):
+            err = numpy.zeros([numpy.size(self.data, 0),
+                                numpy.size(self.data, 1)])
             
         return err, err_other
@@ -833,10 +884,12 @@
         dy, dy_other = self._validity_check(other)
     
-        result = self.clone_without_data([numpy.size(self.data,0), numpy.size(self.data,1)])
-        
-        for i in range(numpy.size(self.data,0)):
-            for j in range(numpy.size(self.data,1)):
+        result = self.clone_without_data([numpy.size(self.data, 0), 
+                                          numpy.size(self.data, 1)])
+        
+        for i in range(numpy.size(self.data, 0)):
+            for j in range(numpy.size(self.data, 1)):
                 result.data[i][j] = self.data[i][j]
-                if self.err_data is not None and numpy.size(self.data)==numpy.size(self.err_data):
+                if self.err_data is not None and \
+                    numpy.size(self.data) == numpy.size(self.err_data):
                     result.err_data[i][j] = self.err_data[i][j]
                 
Index: DataLoader/loader.py
===================================================================
--- DataLoader/loader.py	(revision f118fe2fda5d8c6e91732f24f6a1ce6daec96867)
+++ DataLoader/loader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -23,5 +23,4 @@
 """
 
-from data_util.registry import ExtensionRegistry
 import os 
 import sys
@@ -29,8 +28,9 @@
 import time
 from zipfile import ZipFile
-
+from data_util.registry import ExtensionRegistry
 # Default readers are defined in the readers sub-module
 import readers
-from readers import ascii_reader,cansas_reader
+from readers import ascii_reader
+from readers import cansas_reader
 
 class Registry(ExtensionRegistry):
@@ -55,5 +55,6 @@
         readers.read_associations(self)
         
-        #TODO: remove the following line when ready to switch to the new default readers
+        #TODO: remove the following line when ready to switch to 
+        #the new default readers
         #readers.register_readers(self._identify_plugin)
         
@@ -67,5 +68,6 @@
 
         :param path: file path
-        :param format: explicit extension, to force the use of a particular reader
+        :param format: explicit extension, to force the use 
+            of a particular reader
 
         Defaults to the ascii (multi-column) reader
@@ -83,4 +85,5 @@
                 cansas_loader = cansas_reader.Reader()
                 return cansas_loader.read(path)
+            
     def find_plugins(self, dir):
         """
@@ -112,6 +115,8 @@
                         if self._identify_plugin(module):
                             readers_found += 1
-                    except :
-                        logging.error("Loader: Error importing %s\n  %s" % (item, sys.exc_value))
+                    except:
+                        msg = "Loader: Error importing "
+                        msg += "%s\n  %s" % (item, sys.exc_value)
+                        logging.error(msg)
                             
                 # Process zip files
@@ -128,12 +133,17 @@
                                 fullname = mfile.replace('/', '.')
                                 fullname = os.path.splitext(fullname)[0]
-                                module = __import__(fullname, globals(), locals(), [""])
+                                module = __import__(fullname, globals(),
+                                                     locals(), [""])
                                 if self._identify_plugin(module):
                                     readers_found += 1
                             except:
-                                logging.error("Loader: Error importing %s\n  %s" % (mfile, sys.exc_value))
+                                msg = "Loader: Error importing"
+                                msg += " %s\n  %s" % (mfile, sys.exc_value)
+                                logging.error(msg)
                             
                     except:
-                        logging.error("Loader: Error importing %s\n  %s" % (item, sys.exc_value))
+                        msg = "Loader: Error importing "
+                        msg += " %s\n  %s" % (item, sys.exc_value)
+                        logging.error(msg)
                      
         return readers_found 
@@ -166,5 +176,6 @@
                     type_name = loader.type_name
                     
-                wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(), ext.lower())
+                wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(),
+                                                 ext.lower())
                 if wcard not in self.wildcards:
                     self.wildcards.append(wcard)
@@ -178,5 +189,7 @@
                         
             except:
-                logging.error("Loader: Error accessing Reader in %s\n  %s" % (module.__name__, sys.exc_value))
+                msg = "Loader: Error accessing"
+                msg += " Reader in %s\n  %s" % (module.__name__, sys.exc_value)
+                logging.error(msg)
         return reader_found
 
@@ -203,10 +216,13 @@
                 type_name = loader.type_name
                 
-                wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(), ext.lower())
+                wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(), 
+                                                ext.lower())
                 if wcard not in self.wildcards:
                     self.wildcards.append(wcard)
                  
         except:
-            logging.error("Loader: Error accessing Reader in %s\n  %s" % (module.__name__, sys.exc_value))
+            msg = "Loader: Error accessing Reader "
+            msg += "in %s\n  %s" % (module.__name__, sys.exc_value)
+            logging.error(msg)
         return reader_found
 
@@ -229,7 +245,7 @@
                     if ext not in self.loaders:
                         self.loaders[ext] = []
-                    # When finding a reader at run time, treat this reader as the new 
-                    # default
-                    self.loaders[ext].insert(0,loader.read)
+                    # When finding a reader at run time,
+                    # treat this reader as the new default
+                    self.loaders[ext].insert(0, loader.read)
 
                     reader_found = True
@@ -239,5 +255,6 @@
                     if hasattr(loader, 'type_name'):
                         type_name = loader.type_name
-                    wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(), ext.lower())
+                    wcard = "%s files (*%s)|*%s" % (type_name, ext.lower(),
+                                                     ext.lower())
                     if wcard not in self.wildcards:
                     	self.wildcards.append(wcard)
@@ -251,5 +268,7 @@
                         
             except:
-                logging.error("Loader: Error accessing Reader in %s\n  %s" % (module.__name__, sys.exc_value))
+                msg = "Loader: Error accessing Reader"
+                msg += " in %s\n  %s" % (module.__name__, sys.exc_value)
+                logging.error(msg)
         return reader_found
 
@@ -263,5 +282,5 @@
         extlist = [ext for ext in self.extensions() if path.endswith(ext)]
         # Sort matching extensions by decreasing order of length
-        extlist.sort(lambda a,b: len(a)<len(b))
+        extlist.sort(lambda a, b: len(a) < len(b))
         # Combine loaders for matching extensions into one big list
         writers = []
@@ -276,5 +295,5 @@
         # Raise an error if there are no matching extensions
         if len(writers) == 0:
-            raise ValueError, "Unknown file type for "+path
+            raise ValueError, "Unknown file type for " + path
         # All done
         return writers
@@ -372,6 +391,6 @@
                         filemode='w')
     l = Loader()
-    data = l.load('test/cansas1d.xml')
-    l.save('test_file.xml', data, '.xml')
+    test_data = l.load('test/cansas1d.xml')
+    l.save('test_file.xml', test_data, '.xml')
     
     print l.get_wildcards()
